%define perlname Gtk2-MozEmbed

# fedora >= 15
%define gecko_version 13.0


# Using specfilever cause dumpspec to only increase 
# right part of release (post dist tag)
%global specfilever 1

Summary:       Interface to the Mozilla embedding widget
Name:          perl-Gtk2-MozEmbed
Version:       0.09
Release:       %{specfilever}%{?dist}.12

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://search.cpan.org/dist/Gtk2-MozEmbed
Source0:       http://www.cpan.org/authors/id/T/TS/TSCH/%{perlname}-%{version}.tar.gz

# GTK_MOZ_EMBED_CHECK_VERSION macro doesn't exists
# https://rt.cpan.org/Ticket/Display.html?id=68213
Patch0:        %{name}-check.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends) >= 0.20
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Glib::MakeHelper)
BuildRequires: perl(Gtk2) >= 1.081
BuildRequires: gtk2-devel
BuildRequires: xulrunner-devel = %{gecko_version}

Requires:      perl(Glib) >= 1.180
Requires:      perl(Gtk2) >= 1.081
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# BR xulrunner-devel-unstable so hard dep.
Requires:      gecko-libs%{?_isa} = %{gecko_version}

%{?perl_default_filter}


%description
This module allows you to use the Mozilla embedding widget from Perl.


%prep
%setup -q -n %{perlname}-%{version}

%patch0 -p1

iconv -f ISO-8859-15 -t UTF-8 NEWS >NEWS.utf8
touch -r NEWS NEWS.utf8
mv NEWS.utf8 NEWS

# Change default URL in pumzilla
sed -i -e 's@about:blank@http://start.fedoraproject.org@' \
    examples/pumzilla


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';' -print
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';' -print
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT%{_prefix}


%check
# Tests doesn't run in mock nor in rpmbuild (need a display)
# Should display : All tests successful.
# Files=1, Tests=8,  1 wallclock secs - Result: PASS
%{?_with_display_tests: make test}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# From rpmlint incorrect-fsf-address
# https://rt.cpan.org/Public/Bug/Display.html?id=68212
%doc examples/ LICENSE NEWS README
%{_mandir}/man3/Gtk2::MozEmbed*
%{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/Gtk2


%changelog
* Tue Jun 05 2012 Jan Horak <jhorak@redhat.com> - 0.09-1.12
- Rebuild against newer gecko

* Tue Apr 24 2012 Jan Horak <jhorak@redhat.com> - 0.09-1.11
- Rebuild against newer gecko

* Wed Mar 14 2012 Jan Horak <jhorak@redhat.com> - 0.09-1.10
- Rebuild against newer gecko

* Tue Jan 31 2012 Jan Horak <jhorak@redhat.com> - 0.09-1.9
- Rebuild against newer gecko

* Fri Dec 23 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.8
- Rebuild against newer gecko

* Tue Dec 20 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.7
- Rebuild against newer gecko

* Tue Nov 08 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.6
- Rebuild against newer gecko

* Mon Oct 03 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.5
- Rebuild against newer gecko

* Tue Sep 27 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.4
- Rebuild against newer gecko

* Tue Sep 06 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.3
- Rebuild against newer gecko

* Wed Aug 17 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.2
- Rebuild against newer gecko

* Wed Jun 22 2011 Jan Horak <jhorak@redhat.com> - 0.09-1.1
- Rebuild against newer gecko

* Sun May 15 2011 Remi Collet <Fedora@FamilleCollet.com> 0.09-1
- update to 0.09
- remove patch merged upstream (43306)
- add link to open upstream bug (68212 and 68213)

* Sat May 14 2011 Remi Collet <Fedora@FamilleCollet.com> 0.08-8
- remove pixbuf patch, no more required

* Thu May 12 2011 Iain Arnell <iarnell@gmail.com> 0.08-7.4
- Rebuild against newer gecko (2.0.1)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-7.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.08-7.2
- Rebuilt for gcc bug 634757

* Sat Sep 25 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.08-7.1
- Rebuild against newer gecko (2.0)
- add patch for undefined macro (GTK_MOZ_EMBED_CHECK_VERSION)

* Sat Sep 04 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.08-7
- Rebuild against newer gecko (1.9.3.0)
- Added missing-pixbuf.patch to solve missing gdk-pixbuf.h
- add link to upstream bug and clean macros

* Wed Jun 23 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.15
- Rebuild against newer gecko

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.08-6.14
- Mass rebuild with perl-5.12.0

* Tue Apr 06 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.13
- Rebuild against newer gecko

* Tue Mar 23 2010 Jan Horak <jhorak@redhat.com> - 0.08-6.12
- Rebuild against newer gecko

* Thu Nov 26 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.11
- Rebuild against newer gecko

* Sun Nov 22 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-6.10
- Rebuild against newer gecko (1.9.2.1)

* Thu Nov 05 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.9
- Rebuild against newer gecko

* Tue Oct 27 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.8
- Rebuild against newer gecko

* Fri Sep 11 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.7
- Rebuild against newer gecko

* Thu Aug 06 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.6
- Rebuild against newer gecko

* Tue Aug 04 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.5
- Rebuild against newer gecko

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-6.3
- fix BR

* Mon Jul 20 2009 Jan Horak <jhorak@redhat.com> - 0.08-6.2
- Rebuild against newer gecko

* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 0.08-6.1
- Rebuild against newer gecko

* Sat Apr 25 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-6
- fix release to fix NEVR issue (upgrade from F10)

* Tue Mar 03 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-3
- Fix from review : Gtk2 dir ownership

* Tue Mar 03 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-2
- Fix from review : License, %%check, %%_fixperms

* Sat Feb 14 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.08-1
- initial Fedora RPM

